#!/usr/bin/env python
# -*- coding: utf-8 -*-
#####################################################
# Like the orginal script of freijn it will need the following libraries in python : json, yaml,math,time,requests
# This script will load an external json file that contact for europe the lightning information and will send it to Domoticz when it's
# insde the distanceRange
# Many thanks to Ignacio for helping ;-).
#####################################################

import requests
import json
import sys
import hpilo

ilo_ip = 'ILO_IP'
user = 'USERNAME'
password = 'PASSWORD'

ilo = hpilo.Ilo(ilo_ip,user,password)
health_dict = ilo.get_embedded_health()
temperature_CPU1 = json.dumps(health_dict['temperature']['02-CPU 1']['currentreading'])
temperature_CPU2 = json.dumps(health_dict['temperature']['03-CPU 2']['currentreading'])
temperature_SAS = json.dumps(health_dict['temperature']['33-PCI 5']['currentreading'])
temperature_Inlet = json.dumps(health_dict['temperature']['01-Inlet Ambient']['currentreading'])
temperature_HDMax = json.dumps(health_dict['temperature']['12-HD Max']['currentreading'])
CPU1 = temperature_CPU1[1:3]
CPU2 = temperature_CPU2[1:3]
SAS = temperature_SAS[1:3]
Inlet = temperature_Inlet[1:3]
HDMax = temperature_HDMax[1:3]

requests.get("http://192.168.0.5:8080/json.htm?type=command&param=udevice&idx=1696&nvalue=0&svalue="+CPU1)
requests.get("http://192.168.0.5:8080/json.htm?type=command&param=udevice&idx=1697&nvalue=0&svalue="+CPU2)
requests.get("http://192.168.0.5:8080/json.htm?type=command&param=udevice&idx=1698&nvalue=0&svalue="+SAS)
requests.get("http://192.168.0.5:8080/json.htm?type=command&param=udevice&idx=1699&nvalue=0&svalue="+Inlet)
requests.get("http://192.168.0.5:8080/json.htm?type=command&param=udevice&idx=1700&nvalue=0&svalue="+HDMax)

sys.exit()